<?php 

namespace App\Bundle\Infoclinica;

use Symfony\Component\HttpFoundation\Request;

class Region
{
	public static function getCurrentName($id = false)
	{
		if ($id == false) {
			$id = self::getId();
		}

		switch ($id) {
			case 92:
				return 'Волгоград';

				break;

			case 93:
				return 'Воронеж';
				
				break;

			case 94:
				return 'Краснодар';
				
				break;

			case 100:
				return 'Комфорт';
				
				break;

			case 101:
				return 'Совёнок';
				
				break;

			case 102:
				return 'ОМС';
				
				break;

			default:
				return 'Саратов';

				break;
		}
	}

	public static function getTimezone()
	{
		switch (self::getId()) {
			case 92:
				return 3;

				break;

			case 93:
				return 3;
				
				break;
			
			case 94:
				return 3;
				
				break;
			
			default:
				return 4;

				break;
		}
	}

	public static function getId()
	{
		$request = Request::createFromGlobals();
        
		if (preg_match('/sovamed\.ru/m', $request->getHost())) {
			return $request->cookies->get('region');
		}

		return 94;
	}

	public static function getTemplite()
	{
		if (self::getId() == 94) {
			return 'base_wmtmed';
		}

		return 'base';
	}
}